%define version 2.2.3
%define release 1
%define pname    check_tcptraffic
%define _plugindir %{_prefix}/lib/nagios/plugins

Summary:   A Nagios plugin to monitor the amount of TCP traffic
Name:      nagios-plugins-traffic
Provides:  nagios-plugins-check_tcptraffic
Version:   %{version}
Release:   3.9
License:   GPL
Group:     Applications/System
BuildRoot: %{_tmppath}/%{pname}-%{version}-root
Source:    http://www.id.ethz.ch/people/allid_list/corti/%{pname}-%{version}.tar.bz2
BuildArch: noarch

%description
check_tcptraffic is a Nagios plugin to monitor the amount of TCP traffic

check_tcptraffic uses the /proc/net/dev Linux entry to compute the
amount of transferred bytes from the last plugin execution (temporary
data is stored in the /tmp/check_tcptraffic-iface file)

%prep
%setup -q -n %{pname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor \
    INSTALLSCRIPT=%{_plugindir} \
    INSTALLVENDORSCRIPT=%{_plugindir}
%__make
#__perl Makefile.PL  INSTALLSCRIPT=%{_prefix}/lib/nagios/plugins \
#	INSTALLSITEMAN3DIR=/usr/share/man/man1 \
#	INSTALLSITESCRIPT=%{_prefix}/lib/nagios/plugins
#
#__make
chmod -x AUTHORS Changes NEWS README INSTALL TODO COPYING VERSION

%install
%__make DESTDIR=%{buildroot} install
rm -rf %{buildroot}%{_prefix}/lib/perl5
rm -rf %{buildroot}%{_prefix}/%{_lib}/perl5
rm -rf %{buildroot}%{_datadir}/perl5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS Changes NEWS README INSTALL TODO COPYING VERSION
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%attr(0755, root, root) %{_prefix}/lib/nagios/plugins/%{pname}
%{_mandir}/man1/check_tcptraffic.1*

%changelog
* Fri Mar 11 2011 Carsten Schoene <cs@linux-administrator.com> - 2.2.3-1
- update to release 2.2.3

* Thu Feb 10 2011 Carsten Schoene <cs@linux-administrator.com> - 2.2.2-1
- update to release 2.2.2

* Wed Nov 03 2010 Carsten Schoene <cs@linux-administrator.com> - 2.2.1-1
- update to release 2.2.1

* Sun Oct 24 2010 Carsten Schoene <cs@linux-administrator.com> - 2.2.0-1
- update to release 2.2.0

* Fri Oct 02 2009 Carsten Schoene <cs@linux-administrator.com> - 2.1.0-2
- import to BS

* Fri Sep 25 2009 Matteo Corti <matteo.corti@id.ethz.ch> - 2.1.0-1
- updated to 2.1.0

* Fri Mar 21 2008 Matteo Corti <matteo.corti@id.ethz.ch> - 2.0.3-0
- fixed missing usage message

* Thu Mar 20 2008 Matteo Corti <matteo.corti@id.ethz.ch> - 2.0.2-0
- ePN compatibility

* Fri Dec  7 2007 root <matteo.corti@id.ethz.ch> - 2.0.1-0
- updated to 2.0.1 (bug fix)

* Fri Nov 30 2007 Matteo Corti <matteo.corti@id.ethz.ch> - 2.0.0-0
- Major rewrite which is compatible with embedded perl and uses the Nagios::Plugin modules

* Wed Apr 25 2007 Matteo Corti <matteo.corti@id.ethz.ch> - 1.0-1
- Initial release
